form {
	max-width: 400px;
	padding: 15px;
	margin: 0 auto;
}
.btn-file {
	position: relative;
	overflow: hidden;
}
.btn-file input[type=file] {
	position: absolute;
	top: 0;
	right: 0;
	min-width: 100%;
	min-height: 100%;
	font-size: 100px;
	text-align: right;
	filter: alpha(opacity=0);
	opacity: 0;
	outline: none;
	background: white;
	cursor: inherit;
	display: block;
}
.result {
	display: none;
}
.bg-info {
	min-height: 400px;
	padding: 20px;
}


figure {
	position: relative;
	overflow: hidden;
	border-radius: 4px;
	border: 2px solid #fff;
	box-shadow: 2px 2px 5px #000;
	animation-iteration-count: 0;
	margin-bottom: 30px;
}
figure figcaption {
	position: absolute;
	bottom: 0;
	left: 0;
	text-align: center;
	width: 100%;
	padding: 8px 0;
	background: rgba(0,0,0,0.7);

}
figure img {
	min-height: 175px;
}

/* The "shine" element */

figure figcaption:after {
  content: "";
  position: absolute;
  top: -110%;
  left: -210%;
  width: 200%;
  height: 200%;
  opacity: 0;
  transform: rotate(120deg);
  
  background: rgba(255, 255, 255, 0.13);
  background: linear-gradient(
    to right, 
    rgba(255, 255, 255, 0.13) 0%,
    rgba(255, 255, 255, 0.13) 77%,
    rgba(255, 255, 255, 0.5) 92%,
    rgba(255, 255, 255, 0.0) 100%
  );
}
/* Hover state - trigger effect */
figure:hover figcaption:after {
  opacity: 1;
  top: 30%;
  left: 30%;
  transition-property: left, top, opacity;
  transition-duration: 0.7s, 0.7s, 0.15s;
  transition-timing-function: ease;
}
/* Active state */
figure:active figcaption:after {
  opacity: 0;
}



figure a, figure a:hover {
	color: #fff;
}